Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractSubPanelLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractSubPanelLog

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractSubPanelLog extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractSubPanelLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `String`
  `getStatus()`
  `BigDecimal`
  `getSum()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setStatus(String status)`
  `void`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractSubPanelLog

    public ContractSubPanelLog()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)